Loading...
Searching...
No Matches
Suurballe< GR, LEN, TR >::SetPotentialMap< T > Struct Template Reference

## Detailed Description

template<typename GR, typename LEN, typename TR>
template<typename T>
struct lemon::Suurballe< GR, LEN, TR >::SetPotentialMap< T >

Named parameter for setting `PotentialMap` type.

`#include <lemon/suurballe.h>`

Inheritance diagram for Suurballe< GR, LEN, TR >::SetPotentialMap< T >:
[legend]

## Additional Inherited Members

Public Types inherited from Suurballe< GR, LEN, SetPotentialMapTraits< T > >
typedef SetPotentialMapTraits< T >::Digraph | Digraph
| The type of the digraph.
typedef SetPotentialMapTraits< T >::LengthMap | LengthMap
| The type of the length map.
typedef SetPotentialMapTraits< T >::Length | Length
| The type of the lengths.
typedef SetPotentialMapTraits< T >::FlowMap | FlowMap
| The type of the flow map.
typedef SetPotentialMapTraits< T >::PotentialMap | PotentialMap
| The type of the potential map.
typedef SetPotentialMapTraits< T >::Path | Path
| The type of the path structures.
typedef SetPotentialMapTraits< T >::HeapCrossRef | HeapCrossRef
| The cross reference type used for the heap.
typedef SetPotentialMapTraits< T >::Heap | Heap
| The heap type used for internal Dijkstra computations.
typedef SetPotentialMapTraits< T > | Traits
| The traits class of the algorithm.
Public Member Functions inherited from Suurballe< GR, LEN, SetPotentialMapTraits< T > >
| Suurballe (const Digraph &graph, const LengthMap &length)
| Constructor.
| ~Suurballe ()
| Destructor.
Suurballe & | flowMap (FlowMap &map)
| Set the flow map.
Suurballe & | potentialMap (PotentialMap &map)
| Set the potential map.
int | run (const Node &s, const Node &t, int k=2)
| Run the algorithm.
void | init (const Node &s)
| Initialize the algorithm.
void | fullInit (const Node &s)
| Initialize the algorithm and perform Dijkstra.
int | start (const Node &t, int k=2)
| Execute the algorithm.
int | findFlow (const Node &t, int k=2)
| Execute the algorithm to find an optimal flow.
void | findPaths ()
| Compute the paths from the flow.
Length | totalLength () const
| Return the total length of the found paths.
int | flow (const Arc &arc) const
| Return the flow value on the given arc.
const FlowMap & | flowMap () const
| Return a const reference to an arc map storing the found flow.
Length | potential (const Node &node) const
| Return the potential of the given node.
const PotentialMap & | potentialMap () const
| Return a const reference to a node map storing the found potentials (the dual solution).
int | pathNum () const
| Return the number of the found paths.
const Path & | path (int i) const
| Return a const reference to the specified path.